<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC 
"-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">
<ui:composition
	template="/WEB-INF/templates/simoHospitalizacionLayout.xhtml">
	<ui:define name="titulo">
		<h:outputText value="#{msghsp['titulo.monitoreo.cierre.mensual']}"/>
	</ui:define>
	
	<ui:define name="contenido">
        <f:view>
            <h:outputScript
                library="js"
                name="hospitalizacion/administracion/monitoreo/cierremes/monitorCierreMensual.js"/>
			<div class="titulo">
				<p:panelGrid>
					<p:row>
						<p:column styleClass="tituloAreaDeTrabajoTablas">
							<p:outputLabel
								value="#{msghsp['titulo.monitoreo.cierre.mensual']}"/>
						</p:column>
					</p:row>
				</p:panelGrid>
			</div>            
            <h:form id="idMonitoreoCierreMes">
                <p:remoteCommand
                name="rcPeriodo"
                update="growlMessage idMonitoreoCierreMes"
                actionListener="#{monitorCierreMensualController.validarPeriodoIM}"
                process="@this, idMesanio" />
                
			     <div class="tablaDatos">
                    <p:panelGrid id="idPanelMonitoreo" styleClass="ancho_100 " style="float:right" rendered="#{monitorCierreMensualController.renderTablaDelegcion}">
                      
                        <p:row>
                            <p:column styleClass="ancho_8"></p:column>
                            <p:column styleClass="ancho_11 align_r">
                                <h:outputText value="#{msghsp['etiqueta.mesanio']}" />
                            </p:column>
                            <p:column styleClass="ancho_40  align_l">
                                <p:inputMask
                                    id="idMesanio"
                                    binding="#{monitorCierreMensualController.periodoIM}"
                                    mask="99/9999">
                                </p:inputMask>
                            </p:column>
                            <p:column styleClass="ancho_30 align_l "></p:column>                                        
                        </p:row>            
                        <p:row>
                            <p:column></p:column>
                            <p:column colspan="2">
                                <p:dataTable id="delegacionUmae"  value="#{monitorCierreMensualController.listDelegaciones}" emptyMessage=" "
                                    var="delumae"  selection="#{monitorCierreMensualController.delegacionCierre}" 
                                    rowKey="#{delumae.cveDelegacionImss}" selectionMode="single" styleClass="listaDatos"  rowStyleClass="#{delumae.color}" 
                                     scrollable="true" scrollHeight="300">
                                    
                                    <p:ajax event="rowSelect" listener="#{monitorCierreMensualController.selectDelegacion}"  update="idMonitoreoCierreMes"/>
                                    
                                    <p:column headerText="#{msghsp['etiqueta.titulo']}" styleClass="align_l"> 
                                        <h:outputText value=" #{delumae.desDelegacionImss}" />
                                    </p:column>
                                    
                                </p:dataTable>
                            </p:column>
                            <p:column>
                                 <p:panelGrid id="idPanelMonitoreoLabels" styleClass="ancho_100 " >
                      
                                    <p:row>
                                        <p:column styleClass="ancho_33 align_r"> 
                                            <p:spacer style="height:100px;"/><br></br>
                                            <br></br><br></br><br></br><br></br>
                                            <br></br><br></br><br></br><br></br>   
                                        </p:column>
                                        <p:column styleClass="ancho_33 align_l"></p:column>
                                        <p:column styleClass="ancho_33 align_l "></p:column>                                         
                                    </p:row> 
                                    <p:row>
                                        <p:column styleClass="align_r"> 
                                                 <h:graphicImage
                                                value="/img/cuadro_rojo.png"></h:graphicImage>                                
                                        </p:column>
                                        <p:column styleClass="align_l">  
                                            <p:outputLabel
                                                value="#{msghsp['etiqueta.mes.cerrado']}"/></p:column>
                                        <p:column></p:column>                                        
                                    </p:row>
                                    <p:row>                                        
                                        <p:column styleClass="align_r">
                                            <h:graphicImage
                                                value="/img/cuadro_verde.png"></h:graphicImage>                              
                                        </p:column >
                                        <p:column colspan="2" styleClass="align_l">
                                            <p:outputLabel
                                                value="#{msghsp['etiqueta.mes.habilitado']}"/>
                                        </p:column>
                                                                
                                    </p:row>
                                    <p:row>
                                        <p:column>
                                           
                                        </p:column>
                                        <p:column></p:column>
                                        <p:column>
                                            <div class="acciones">
                                            <p:commandButton value="#{msghsp['boton.salir']}"></p:commandButton>
                                            </div>
                                            
                                        </p:column>                                        
                                    </p:row>
                                 </p:panelGrid>
                            </p:column>
                        </p:row>
                        
                     </p:panelGrid>
                      <p:panelGrid id="idPanelMonitoreoUNidades" styleClass="ancho_100 " rendered="#{!monitorCierreMensualController.renderTablaDelegcion}" style="float:right">
                        <p:row>
                            <p:column styleClass="ancho_10"></p:column>
                            <p:column styleClass="ancho_30 align_r"> <p:outputLabel
                                                value="#{msghsp['etiqueta.mes']}"/> </p:column>
                            <p:column styleClass="ancho_15 align_l"><p:outputLabel
                                                value="#{monitorCierreMensualController.mesString}"/> </p:column>
                            <p:column styleClass="ancho_15"></p:column>
                            <p:column styleClass="ancho_15"></p:column>
                            <p:column styleClass="ancho_15"></p:column>
                        </p:row>
                        <p:row>
                            <p:column></p:column>
                            <p:column styleClass="ancho_15 align_r"> <p:outputLabel
                                                value="#{msghsp['etiqueta.delegacion']}"/> </p:column>
                            <p:column styleClass="align_l"><p:outputLabel
                                                value="#{monitorCierreMensualController.desDelegacion}"/> </p:column>
                            <p:column colspan="3">                                
                                <h:graphicImage
                                    value="/img/cuadro_verde.png"></h:graphicImage>                                
                                <p:outputLabel
                                    value="#{msghsp['etiqueta.mes.habilitado']}"/>
                                <h:graphicImage
                                    value="/img/cuadro_rojo.png"></h:graphicImage>                                
                                <p:outputLabel
                                    value="#{msghsp['etiqueta.mes.cerrado']}"/>
                            </p:column>                            
                        </p:row>
                        
                        <p:row>
                             <p:column></p:column>
                        </p:row>
                        <p:row>
                            <p:column></p:column>
                            <p:column colspan="4">
                                <p:dataTable id="idMonitoreoCierreUnidad"  value="#{monitorCierreMensualController.listUnidades}" 
                                    var="unidad"  selection="#{monitorCierreMensualController.unidadMedicaCierre}"
                                    rowKey="#{unidad.desUnidadMedica}"  styleClass="listaDatos" rowStyleClass="#{unidad.color}"
                                     
                                     scrollable="true" scrollHeight="300">
                                  
                                    <p:column headerText="#{msghsp['titulo.tabla.unidades.monitoreo']}" styleClass="ancho_30">
                                       <h:outputText value="#{unidad.desUnidadMedica}" />
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.consultaExterna']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{unidad.boolConsultaExterna}" rendered="#{unidad.boolConsultaExterna!=null}" disabled="#{unidad.consultaExterna==3}">
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="1" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad">
                                               
                                            </p:ajax>        
                                        </p:selectBooleanCheckbox>
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.hospitalizacion']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{unidad.boolHospitalizacion}" rendered="#{unidad.boolHospitalizacion!=null}" disabled="#{unidad.hospitalizacion==3}">
                                            <f:param name="tipoCaptura" value="2" />
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad">
                                                
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.informacioncomplementaria']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{unidad.boolInformaComplemen}" rendered="#{unidad.boolInformaComplemen!=null}" disabled="#{unidad.informaComplemen==3}">
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="3" />
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad">
                                               
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                    </p:column>
                                    <p:column headerText="#{msghsp['tabla.monitoreo.subrogados']}" styleClass="ancho_15">
                                        <p:selectBooleanCheckbox value="#{unidad.boolServicioSub}"  rendered="#{unidad.boolServicioSub!=null}" disabled="#{unidad.servicioSub==3}" >
                                            <f:param name="paramUnidad" value="#{unidad.cvePresupuestal}" />
                                            <f:param name="tipoCaptura" value="4" /> 
                                            <p:ajax event="change" listener="#{monitorCierreMensualController.modificarParametros}"  update="idMonitoreoCierreUnidad">
                                                
                                            </p:ajax>
                                        </p:selectBooleanCheckbox>
                                    </p:column>
                                </p:dataTable>
                            </p:column>                           
                        </p:row>
                        <p:row>
                            <p:column colspan="4"></p:column>
                            <p:column  colspan="2">
                                <div class="acciones ">
                                        <p:commandButton value="#{msghsp['boton.monitoreo.regresar']}"></p:commandButton>
                                        <p:commandButton value="#{msghsp['boton.monitoreo.guardar']}"></p:commandButton>
                                        <p:commandButton value="#{msghsp['boton.monitoreo.salir']}"></p:commandButton>
                                  </div>
                            </p:column>
                        </p:row>                                                   
                      </p:panelGrid>
                      <p:commandButton id="idCerar" value="CERRAR PERIODO"   ajax="false" actionListener="#{realizarCierreMesAutomaticamenteServiceImpl.cerrarMesAutomaticamente}"
                                            /> 
			     </div>
                 
                 <div class="modal">
                        <p:confirmDialog
                            id="idConfirmaCierreUnidad"
                            header="#{msghsp['vigilancia.epidemiologica']}"
                           
                            height="30"
                            width="500"
                            widgetVar="cierreUnidadConfirm"
                            closable="false">
                            <p:panelGrid
                                id="idConfirm"
                                style="center">
                                <p:row>
                                    <p:column style="width:100px">
                                        <h:outputText
                                            value="#{msghsp['diagnostico.epidemiologico.msg']}" />
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                            <div class="acciones">
                                <span> <p:commandButton
                                        id="idSi"
                                        value="#{msghsp['confirm.si']}"                                        
                                        update="idMonitoreoCierreMes"
                                        async="true"
                                        actionListener="#{monitorCierreMensualController.confirmaCierreSi}"
                                        />
                                    <p:commandButton
                                        id="idNo"
                                        value="#{msghsp['confirm.no']}"
                                       update="idMonitoreoCierreMes"
                                        
                                        async="true"
                                        actionListener="#{monitorCierreMensualController.confirmaCierreNo}" />
                                </span>
                            </div>
                        </p:confirmDialog>
                       </div>
            </h:form>
            <br></br>
	   </f:view>
    </ui:define>
    
</ui:composition>
</html>